> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync Jobs

> Retrieve all sync jobs from the database.



## OpenAPI

````yaml GET /core/syncs/{sync_id}/jobs
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /core/syncs/{sync_id}/jobs:
    get:
      tags:
        - CoreSyncs
      summary: Get Sync Jobs
      description: Retrieve all sync jobs from the database.
      operationId: core_syncs_getJobs
      parameters:
        - name: sync_id
          in: path
          description: The ID of the sync to retrieve
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: VmaVgKMaiygMzTK
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coregetSyncJobsObject'
              examples:
                Example1:
                  value:
                    data:
                      - rootfi_id: 1
                        rootfi_created_at: '2021-08-31T18:00:00Z'
                        rootfi_updated_at: '2021-08-31T18:00:00Z'
                        rootfi_company_id: 1
                        start_time: '2021-08-31T18:00:00Z'
                        end_time: '2021-08-31T18:00:00Z'
                        integration_type: XERO
                        status: SUCCESS
                        data_model: ACCOUNTS
                        config_mode: READ
                        sync_id: VmaVgKMaiygMzTK1
                        parent_job_id: VmaVgKMaiygMzTK1
                        retry_count: 0
                        priority: 0
                        variables: {}
                        error: {}
                        config_id: VmaVgKMaiygMzTK1
                        job_type: PUSH
                        response_length: 0
                        response_size: 0
                        rate_limit_sleep_time: 0
                    next: eyJpZCI6MX0%3DMX0%3DMX0%3DMX0%3DMX0%3D
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    coregetSyncJobsObject:
      title: coregetSyncJobsObject
      type: object
      description: The data of the sync jobs endpoint
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/coreJobData'
          description: The data of the sync jobs endpoint
        next:
          type: string
          nullable: true
          description: The next page of objects to retrieve
      required:
        - data
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    coreJobData:
      title: coreJobData
      type: object
      description: The data of the job endpoint
      properties:
        rootfi_company_id:
          type: integer
          description: The ID of the company
        start_time:
          type: string
          description: The start time of the job
        end_time:
          type: string
          description: The end time of the job
        integration_type:
          $ref: '#/components/schemas/IntegrationType'
          description: The type of integration
        status:
          $ref: '#/components/schemas/JobStatus'
          description: The status of the job
        data_model:
          $ref: '#/components/schemas/DataModels'
          description: The data model of the job
        config_mode:
          $ref: '#/components/schemas/ConfigMode'
          description: The config mode of the job
        sync_id:
          type: string
          description: The ID of the sync
        parent_job_id:
          type: string
          nullable: true
          description: The ID of the parent job
        retry_count:
          type: integer
          description: The retry count of the job
        priority:
          type: integer
          nullable: true
          description: The priority of the job
        variables:
          type: object
          additionalProperties: true
          nullable: true
          description: The variables of the job
        error:
          type: object
          additionalProperties:
            type: string
          nullable: true
          description: The error of the job
        config_id:
          type: string
          description: The config ID of the job
        job_type:
          $ref: '#/components/schemas/JobType'
          description: The job type of the job
        response_length:
          type: integer
          nullable: true
          description: The response length of the job
        response_size:
          type: integer
          nullable: true
          description: The response size of the job
        rate_limit_sleep_time:
          type: integer
          nullable: true
          description: The rate limit sleep time of the job
      required:
        - rootfi_company_id
        - start_time
        - end_time
        - integration_type
        - status
        - data_model
        - config_mode
        - sync_id
        - retry_count
        - config_id
        - job_type
      allOf:
        - $ref: '#/components/schemas/RootfiFields'
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
    IntegrationType:
      title: IntegrationType
      type: string
      enum:
        - ZOHO_BOOKS
        - QUICKBOOKS_SANDBOX
        - QUICKBOOKS
        - XERO
        - TALLY
        - ROOTFI_SANDBOX
        - SAGE_CLOUD_ACCOUNTING
        - MS_DYNAMICS_365
        - SAGE_ZA_CLOUD_ACCOUNTING
        - MYOB_BUSINESS
        - NETSUITE
        - WAVE
        - ODOO_ACCOUNTING
        - WAFEQ
        - MEKARI_JURNAL
        - BUSY
        - QOYOD
        - STRIPE
        - RAZORPAY
        - PAYPAL
        - SHOPIFY
        - BIG_COMMERCE
        - WOO_COMMERCE
        - HUBSPOT
        - SALESFORCE
        - PIPEDRIVE
        - ZOHO_CRM
    JobStatus:
      title: JobStatus
      type: string
      enum:
        - CREATED
        - RUNNING
        - SUCCESS
        - FAILED
    DataModels:
      title: DataModels
      type: string
      enum:
        - ACCOUNTS
        - BANK_ACCOUNTS
        - BILLS
        - BILL_PAYMENTS
        - COMPANY_INFO
        - CONTACTS
        - BILL_CREDIT_NOTES
        - INVOICE_CREDIT_NOTES
        - DOCUMENTS
        - EXPENSES
        - INVOICES
        - INVOICE_PAYMENTS
        - ITEMS
        - LINE_ITEMS
        - TAX_RATES
        - JOURNAL_ENTRIES
        - BANK_TRANSACTIONS
        - JOURNAL_LINES
        - PURCHASE_ORDERS
        - SALES_ORDERS
        - PHONE_NUMBERS
        - ADDRESSES
        - EXTERNAL_LINKS
        - CONTACT_PERSONS
        - INCOME_STATEMENT
        - BALANCE_SHEET
        - TRACKING_CATEGORIES
        - CASH_FLOW_STATEMENT
        - CURRENCIES
        - PAYMENT_CUSTOMERS
        - PAYMENT_INVOICES
        - PAYMENT_LINE_ITEMS
        - PAYMENT_ITEMS
        - PAYMENT_ORDERS
        - PAYMENT_TAX_RATES
        - PAYMENT_DISPUTES
        - PAYMENT_PAYMENTS
        - PAYMENT_REFUNDS
        - PAYMENT_PAYMENT_LINKS
        - PAYMENT_PAYOUTS
        - PAYMENT_ADDRESSES
        - PAYMENT_PHONE_NUMBERS
        - PAYMENT_EXTERNAL_LINKS
        - PAYMENT_TRANSACTIONS
        - PAYMENT_BALANCES
        - ECOMMERCE_ORDERS
        - ECOMMERCE_CUSTOMERS
        - ECOMMERCE_PRODUCTS
        - ECOMMERCE_LINE_ITEMS
        - CRM_CONTACTS
        - CRM_COMPANIES
        - CRM_DEALS
        - CRM_LEADS
        - CRM_NOTES
        - CRM_PIPELINES
        - CRM_STAGES
        - CRM_ACTIVITIES
        - CRM_TASKS
        - CRM_USERS
        - CRM_EXTERNAL_LINKS
        - CRM_PHONE_NUMBERS
        - CRM_ADDRESSES
    ConfigMode:
      title: ConfigMode
      type: string
      enum:
        - CREATE
        - READ
        - UPDATE
        - DELETE
        - DOWNLOAD
        - CUSTOM
    JobType:
      title: JobType
      type: string
      enum:
        - PUSH
        - PULL
    RootfiFields:
      title: RootfiFields
      type: object
      properties:
        rootfi_id:
          type: integer
          description: The unique ID we assign for that data's information
        rootfi_created_at:
          type: string
          format: date-time
          description: The date at which RootFi first synced this data
        rootfi_updated_at:
          type: string
          format: date-time
          description: The latest date at which RootFi updated this data
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````